Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		lensfun
Version:	0.2.3
Release:	1
License:	LGPLv3
URL:		http://lensfun.berlios.de/
Group:		System/Libraries
Summary:	A photographic lens database and a library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel

%description
The goal of the lensfun library is to provide a open source database
of photographic lenses and their characteristics. In the past there
was a effort in this direction (see http://www.epaperpress.com/ptlens/),
but then author decided to take the commercial route and the database
froze at the last public stage. This database was used as the basement
on which lensfun database grew, thanks to PTLens author which gave his
permission for this, while the code was totally rewritten from scratch
(and the database was converted to a totally new, XML-based format).

The lensfun library not only provides a way to read the database and
search for specific things in it, but also provides a set of algorithms
for correcting images based on detailed knowledge of lens properties
and calibration data. Right now lensfun is designed to correct distortion,
transversal (also known as lateral) chromatic aberrations, vignetting
and colour contribution index of the lens.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
./configure -v \
--cflags="${CFLAGS:-$RPM_OPT_FLAGS}" \
--cxxflags="${CXXFLAGS:-$RPM_OPT_FLAGS}" \
--prefix=%_prefix \
--bindir=%_bindir \
--sysconfdir=%_sysconfdir \
--datadir=%_datadir/lensfun \
--libdir=%_libdir \
--includedir=%_includedir \
--libexecdir=%_libexecdir

make AUTODEP=0 %{?_smp_mflags} lensfun manual

%install
rm -rf $RPM_BUILD_ROOT
make AUTODEP=0 INSTALL_PREFIX=$RPM_BUILD_ROOT install

%files
%defattr(-, root, root, 0755)
%doc %_datadir/doc/%{name}-%{version}/README
%doc %_datadir/doc/%{name}-%{version}/lgpl-3.0.txt
%doc %_datadir/doc/%{name}-%{version}/gpl-3.0.txt
%doc %_datadir/doc/%{name}-%{version}/cc-by-sa-3.0.txt
%_libdir/*.so.*
%_datadir/lensfun/*.xml

%files devel
%defattr(-,root,root,-)
%doc %_datadir/doc/%{name}-%{version}/manual
%_libdir/*.so
%_pkgconfig
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 25 2008 Christian Wasem <wasem@ccux-linux.de> 0.2.3-1
- initial CCux package release
